# Upcoming deprecations of Call Log APIs and Zoom Phone client_code fields Phone API and webhook updates maintain efficient and secure access to data. To that end, we'll deprecate several Call Log APIs and webhooks and replace them with new Call History APIs and webhooks on November 30, 2025. Migrating to the new APIs and webhooks is an essential step to maintain your application's functionality and security. The new APIs and webhooks offer the same functions as the deprecated ones, with updates that streamline operations, increase security, and provide real-time accuracy in call log and call history data handling. Test the new interfaces as early as possible to make the transition as seamless as possible. Below shows the deprecated APIs and webhooks and their replacements. ## APIs ### Deprecated APIs - Add a client code to a call log - Delete a user's call log - Get account's call logs - Get call log details - Get user's call logs - Sync user's call logs ### New APIs - Add a client code to a call history - Delete a user's call history - Get account's call history - Get call path - Get user's call history - Sync user's call history - Get call history detail ## Webhooks ### Deprecated webhooks - `phone.call_log_deleted` - `phone.call_log_permanently_deleted` - `phone.callee_call_log_completed` - `phone.caller_call_log_completed` ### New webhooks - `phone.call_history_deleted` - `phone.call_history_deleted_all` - `phone.call_history_trash_deleted` - `phone.call_history_trash_deleted_all` - `phone.callee_call_history_completed` - `phone.caller_call_history_completed` --- Phone API updates ensure efficient and secure access to data. As part of these updates, we will deprecate the `client_code` field in the response body of the [/phone/call_history](/docs/api/phone/#tag/call-logs/get/phone/call_history), in June 2025. Additionally, the [/phone/call_history/{callLogId}/client_code](/docs/api/phone/#tag/call-logs/patch/phone/call_history/%7BcallLogId%7D/client_code) will only support adding a user `client_code` and will not allow adding an admin log. ## Changed - Deprecating the `client_code` response field in this Phone API: `GET /v2/phone/call_history` - Restricting `client_code` assignment to user logs only this Phone API: `PATCH v2/phone/call_history/{callLogId}/client_code`